import 'package:flutter/material.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';

import '../app/constant.dart';

class FieldRowHistoryTransaksi extends HookConsumerWidget {
  final String label;
  final String value;
  const FieldRowHistoryTransaksi({
    Key? key,
    required this.label,
    required this.value,
  }) : super(key: key);

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    return Row(
      children: [
        Padding(
          padding: EdgeInsets.only(left: 10),
          child: SizedBox(
            width: Constant.getActualXPhone(context: context, x: 100),
            child: Text(label),
          ),
        ),
        Padding(
          padding: EdgeInsets.symmetric(horizontal: 10),
          child: Text(':'),
        ),
        Expanded(
          child: Padding(
            padding: EdgeInsets.only(right: 10),
            child: Text(
              value,
              style: TextStyle(fontWeight: FontWeight.bold),
            ),
          ),
        ),
      ],
    );
  }
}
